QGIS Application - Feature request #6183
There is no check that the style of a vector layer matches the type of data (e.g. line vs polygon)
Category: Symbology
Description

e.g. 1 - copy and paste style:

- Right-click on a polygon layer in the TOC and click "Copy style"

- ("accidentally") right-click on a polyline layer in the TOC and click "Paste style"

- The polyline layer becomes invisible (you may need to pan the canvas slightly for it to be updated), because its style is for the wrong type
of layer

- Open the style tab of the layer properties - the polygon style is shown; there are no error messages or anything. It seems the only way to
get a style for the correct type of data is to copy and paste styles from another polyline layer, or remove the layer and add it again.

e.g. 2 - opening a project:

- save the project you were using for e.g. 1

- reopen the project

- the layer still has the wrong style and there are no error messages or anything. This 2nd case would be a problem if someone overwrites
a layer with a different type of data without you knowing.

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2012-10-06 02:20 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-11-10 05:16 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Hello, bug triage...

in QGIS 2.13 master, you cannot paste a style to another geometry type layer. There is also an error message:

Cannot paste style to layer with a different geometry type: Your copied style does not match the layer you are pasting to

So | am closing this feature request...
